Requisiti di installazione vtenext 18.12

1. Requisiti Hardware minimi:

  • Ram: 2 GB
  • Hard Disk: 20 GB
  • Processore: 2 Ghz dual core

2. Requisiti Hardware consigliati:

  • Ram: 4 GB
  • Hard Disk: 80 GB
  • Processore: 2 Ghz quad core

3. Sistema operativo consigliato:

Il sistema operativo consigliato per l’installazione di vtenext è Ubuntu 18.04 LTS 64 bit Server. Su questo sistema il crm si installa out-of-the-box, senza bisogno di configurazioni particolari, eccetto la predisposizione dei parametri del file php.ini come indicato dal wizard di setup di vtenext.

4. Requisiti per altri sistemi operativi Linux:

E’ possibile installare vtenext anche su altri sistemi operativi Linux, in particolare devono essere presenti:

  • php 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  • mysql 5.x
  • apache 2

5. Moduli PHP richiesti:

  • curl
  • gd
  • imagick
  • imap
  • ldap
  • mbstring
  • mysql
  • xml
  • zlib

Qualora sia richiesta la connettività verso altri database, quali ad esempio Microsoft SQL Server o Oracle, è necessario predisporre le librerie necessarie (nel caso di Ubuntu php-sybase* e librerie oci8). Quindi è consigliato far risiedere l’applicativo vtenext nella macchina con installato linux e puntare al database Microsoft SQL Server, installato naturalmente su di un sistema Windows.

* Le librerie sybase non sono disponibili dalla versione 7 di PHP. Per interfacciarsi con SQL Server con questa versione di PHP vedi manuale dedicato.

Back to top